REST API :: account.namespaces

Returns all authorized namespaces that given api_key can use with the API.

Authorized namespaces can be:

  • Namespace owned by the owner of the api_key.
  • Namespace defined as Public or Public Read only by other users
  • Special Public Namespace: Facebook and Twitter

Try it now on the API Sandbox

url:

http://api.face.com/account/namespaces.format

parameters:

RequiredNameDescription
Requiredapi_keyyour face.com API Key
api_secretyour face.com API Secret

example:

http://api.face.com/account/namespaces.json?api_key=4b4b4c6d54c37&api_secret=XXX

response sample (json):

View complete list of response fields

{
  "namespaces": [
    {
      "name": "celebs.face.com",
      "size": 381,
      "share_mode": "Public Read-Only",
      "owner": true
    },
    {
      "name": "facebook.com",
      "size": 0,
      "share_mode": "Public",
      "owner": false
    },
    {
      "name": "twitter.com",
      "size": 0,
      "share_mode": "Public",
      "owner": false
    }
  ],
  "status": "success"
}